import type { VerbrauchsausweisWohnen } from "#lib/client/prisma";
import { endEnergieVerbrauchVerbrauchsausweis_2016 } from "./VerbrauchsausweisWohnen/VerbrauchsausweisWohnen_2016.js";
import { AufnahmeClient, ObjektClient } from "#components/Ausweis/types.js";

export async function endEnergieVerbrauch(ausweis: VerbrauchsausweisWohnen, aufnahme: AufnahmeClient, objekt: ObjektClient): Promise<number> {
	const result = await endEnergieVerbrauchVerbrauchsausweis_2016(ausweis, aufnahme, objekt);

	if (!result) {
		return 0;
	}

	return result.endEnergieVerbrauchGesamt;
}